Package commoble.morered.client

# Class ExtraRenderTypes

java.lang.Object
net.minecraft.client.renderer.RenderStateShard
commoble.morered.client.ExtraRenderTypes

public abstract class ExtraRenderTypes extends net.minecraft.client.renderer.RenderStateShard

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.client.renderer.RenderStateShard

`net.minecraft.client.renderer.RenderStateShard.BooleanStateShard, net.minecraft.client.renderer.RenderStateShard.ColorLogicStateShard, net.minecraft.client.renderer.RenderStateShard.CullStateShard, net.minecraft.client.renderer.RenderStateShard.DepthTestStateShard, net.minecraft.client.renderer.RenderStateShard.EmptyTextureStateShard, net.minecraft.client.renderer.RenderStateShard.LayeringStateShard, net.minecraft.client.renderer.RenderStateShard.LightmapStateShard, net.minecraft.client.renderer.RenderStateShard.LineStateShard, net.minecraft.client.renderer.RenderStateShard.MultiTextureStateShard, net.minecraft.client.renderer.RenderStateShard.OffsetTexturingStateShard, net.minecraft.client.renderer.RenderStateShard.OutputStateShard, net.minecraft.client.renderer.RenderStateShard.OverlayStateShard, net.minecraft.client.renderer.RenderStateShard.ShaderStateShard, net.minecraft.client.renderer.RenderStateShard.TextureStateShard, net.minecraft.client.renderer.RenderStateShard.TexturingStateShard, net.minecraft.client.renderer.RenderStateShard.TransparencyStateShard, net.minecraft.client.renderer.RenderStateShard.WriteMaskStateShard`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.client.renderer.RenderType`
`CABLE_RENDER_TYPE`

### Fields inherited from class net.minecraft.client.renderer.RenderStateShard

`ADDITIVE_TRANSPARENCY, BLOCK_SHEET, BLOCK_SHEET_MIPPED, clearState, CLOUDS_TARGET, COLOR_DEPTH_WRITE, COLOR_WRITE, CRUMBLING_TRANSPARENCY, CULL, DEFAULT_LINE, DEFAULT_TEXTURING, DEPTH_WRITE, ENTITY_GLINT_TEXTURING, EQUAL_DEPTH_TEST, GLINT_TEXTURING, GLINT_TRANSPARENCY, GREATER_DEPTH_TEST, ITEM_ENTITY_TARGET, LEQUAL_DEPTH_TEST, LIGHTMAP, LIGHTNING_TRANSPARENCY, MAIN_TARGET, MAX_ENCHANTMENT_GLINT_SPEED_MILLIS, name, NO_COLOR_LOGIC, NO_CULL, NO_DEPTH_TEST, NO_LAYERING, NO_LIGHTMAP, NO_OVERLAY, NO_SHADER, NO_TEXTURE, NO_TRANSPARENCY, OR_REVERSE_COLOR_LOGIC, OUTLINE_TARGET, OVERLAY, PARTICLES_TARGET, POLYGON_OFFSET_LAYERING, POSITION_COLOR_LIGHTMAP_SHADER, POSITION_COLOR_SHADER, POSITION_COLOR_TEX_LIGHTMAP_SHADER, POSITION_SHADER, POSITION_TEX_SHADER, RENDERTYPE_ARMOR_CUTOUT_NO_CULL_SHADER, RENDERTYPE_ARMOR_ENTITY_GLINT_SHADER, RENDERTYPE_BEACON_BEAM_SHADER, RENDERTYPE_BREEZE_WIND_SHADER, RENDERTYPE_CLOUDS_SHADER, RENDERTYPE_CRUMBLING_SHADER, RENDERTYPE_CUTOUT_MIPPED_SHADER, RENDERTYPE_CUTOUT_SHADER, RENDERTYPE_END_GATEWAY_SHADER, RENDERTYPE_END_PORTAL_SHADER, RENDERTYPE_ENERGY_SWIRL_SHADER, RENDERTYPE_ENTITY_ALPHA_SHADER, RENDERTYPE_ENTITY_CUTOUT_NO_CULL_SHADER, RENDERTYPE_ENTITY_CUTOUT_NO_CULL_Z_OFFSET_SHADER, RENDERTYPE_ENTITY_CUTOUT_SHADER, RENDERTYPE_ENTITY_DECAL_SHADER, RENDERTYPE_ENTITY_GLINT_DIRECT_SHADER, RENDERTYPE_ENTITY_GLINT_SHADER, RENDERTYPE_ENTITY_NO_OUTLINE_SHADER, RENDERTYPE_ENTITY_SHADOW_SHADER, RENDERTYPE_ENTITY_SMOOTH_CUTOUT_SHADER, RENDERTYPE_ENTITY_SOLID_SHADER, RENDERTYPE_ENTITY_TRANSLUCENT_CULL_SHADER, RENDERTYPE_ENTITY_TRANSLUCENT_EMISSIVE_SHADER, RENDERTYPE_ENTITY_TRANSLUCENT_SHADER, RENDERTYPE_EYES_SHADER, RENDERTYPE_GLINT_SHADER, RENDERTYPE_GLINT_TRANSLUCENT_SHADER, RENDERTYPE_GUI_GHOST_RECIPE_OVERLAY_SHADER, RENDERTYPE_GUI_OVERLAY_SHADER, RENDERTYPE_GUI_SHADER, RENDERTYPE_GUI_TEXT_HIGHLIGHT_SHADER, RENDERTYPE_ITEM_ENTITY_TRANSLUCENT_CULL_SHADER, RENDERTYPE_LEASH_SHADER, RENDERTYPE_LIGHTNING_SHADER, RENDERTYPE_LINES_SHADER, RENDERTYPE_OUTLINE_SHADER, RENDERTYPE_SOLID_SHADER, RENDERTYPE_TEXT_BACKGROUND_SEE_THROUGH_SHADER, RENDERTYPE_TEXT_BACKGROUND_SHADER, RENDERTYPE_TEXT_INTENSITY_SEE_THROUGH_SHADER, RENDERTYPE_TEXT_INTENSITY_SHADER, RENDERTYPE_TEXT_SEE_THROUGH_SHADER, RENDERTYPE_TEXT_SHADER, RENDERTYPE_TRANSLUCENT_MOVING_BLOCK_SHADER, RENDERTYPE_TRANSLUCENT_SHADER, RENDERTYPE_TRIPWIRE_SHADER, RENDERTYPE_WATER_MASK_SHADER, setupState, TRANSLUCENT_TARGET, TRANSLUCENT_TRANSPARENCY, VIEW_OFFSET_Z_LAYERING, VIEW_SCALE_Z_EPSILON, WEATHER_TARGET`

## Method Summary

### Methods inherited from class net.minecraft.client.renderer.RenderStateShard

`clearRenderState, setupGlintTexturing, setupRenderState, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### CABLE_RENDER_TYPE

public static final net.minecraft.client.renderer.RenderType CABLE_RENDER_TYPE